

Fix various bogons and outright lies.


---

 25-akpm/include/linux/fs.h |    2 +-
 25-akpm/lib/radix-tree.c   |    7 +------
 25-akpm/mm/filemap.c       |    2 +-
 3 files changed, 3 insertions(+), 8 deletions(-)

diff -puN lib/radix-tree.c~radix-tree-comment-fix lib/radix-tree.c
--- 25/lib/radix-tree.c~radix-tree-comment-fix	2004-04-14 18:37:50.695307400 -0700
+++ 25-akpm/lib/radix-tree.c	2004-04-14 18:37:50.703306184 -0700
@@ -30,12 +30,7 @@
 #include <linux/string.h>
 #include <linux/bitops.h>
 
-/*
- * Radix tree node definition.
- *
- * RADIX_TREE_MAP_SHIFT must be >= log2(BITS_PER_LONG).  Otherwise the tags
- * array will have zero size and the set_tag() arithmetic will go wrong.
- */
+
 #ifdef __KERNEL__
 #define RADIX_TREE_MAP_SHIFT	6
 #else
diff -puN include/linux/fs.h~radix-tree-comment-fix include/linux/fs.h
--- 25/include/linux/fs.h~radix-tree-comment-fix	2004-04-14 18:37:50.697307096 -0700
+++ 25-akpm/include/linux/fs.h	2004-04-14 18:37:50.704306032 -0700
@@ -365,7 +365,7 @@ struct block_device {
 };
 
 /*
- * Radix-tre tags, for tagging dirty and writeback pages within the pagecache
+ * Radix-tree tags, for tagging dirty and writeback pages within the pagecache
  * radix trees
  */
 #define PAGECACHE_TAG_DIRTY	0
diff -puN mm/filemap.c~radix-tree-comment-fix mm/filemap.c
--- 25/mm/filemap.c~radix-tree-comment-fix	2004-04-14 18:37:50.699306792 -0700
+++ 25-akpm/mm/filemap.c	2004-04-14 18:37:50.706305728 -0700
@@ -551,7 +551,7 @@ unsigned find_get_pages(struct address_s
 
 /*
  * Like find_get_pages, except we only return pages which are tagged with
- * `tag'.   We update *start to index the next page for the traversal.
+ * `tag'.   We update *index to index the next page for the traversal.
  */
 unsigned find_get_pages_tag(struct address_space *mapping, pgoff_t *index,
 			int tag, unsigned int nr_pages, struct page **pages)

_
